Issue 77760 - "Insert->Sheet From File..." needs improvement
Summary: "Insert->Sheet From File..." needs improvement
Status: CLOSED NOT_AN_OOO_ISSUE
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 2.2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: spreadsheet
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-24 16:33 UTC by oreg
Modified: 2007-07-23 14:07 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description oreg 2007-05-24 16:33:15 UTC
The process for "Insert->Sheet From File..." could be improved:

* The "Text Import" dialog should remember selections from the last import.
Currently you have to adjust them over and over again for each file.

* Likewise, the "Insert Sheet" dialog should remember previous selections.

* In the "Insert Sheet" dialog, the "Name" field should not be restricted to
"New sheet" but also be active for "From file" to enable the user to assign a
name for the imported sheet.

* The default name of the new sheet should be based on the file name instead of
"Sheet1".

* It should be possible to import more than one file at a time.
Comment 1 dalo 2007-05-24 19:38:09 UTC
On a second time a GUI redesign could also help to simplify this function
Comment 2 cno 2007-05-29 22:16:49 UTC
Hi oreg,
This is not one RFE, but about four.
Can you pls make seperate issues?
Furthermore, if I may make a comment immediately, I think that naming of sheets
based on file names is unlucky, since sheet names have more limitations than
file names.
Regards,
Cor
Comment 3 oreg 2007-05-30 16:34:20 UTC
Hi Cor,

Okay, I've opened five new issues: #77950, #77952, #77953, #77955, and #77956.

As to your comment on sheet naming: It's true that sheet names are more
restricted. But these restrictions are the problem--they are ridiculous! There
has been an issue open on this for many years: #6087.

As long as this issue is not resolved the file name could at least be modified
to match the sheet name restrictions. Anything is better than "Sheet1"!

Cheers,
oreg.
Comment 4 oreg 2007-05-30 16:36:22 UTC
Argh, why are the issue numbers not linkified?
Issue 77950, Issue 77952, Issue 77953, Issue 77955, and Issue 77956.
And Issue 6087.
Comment 5 frank 2007-07-23 14:07:32 UTC
so this Issue is obsolete and closed as invalid.
Comment 6 frank 2007-07-23 14:07:55 UTC
closed inv